import {Injectable} from '@angular/core';

@Injectable({
  providedIn: 'root'
})
export class LoaderService {

  private _showLoader: boolean = false

  constructor() {
  }


  get showLoader(): boolean {
    return this._showLoader;
  }

  public show(): void {
    this._showLoader = true;
  }

  public hide(): void {
    this._showLoader = false;
  }
}
